/*
 * Class CURSOR_STRUCTURE [G#1]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1564 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1564 [] = {0xFF01,1551,1563,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1564 [] = {0xFF01,1563,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1564 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1564 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1564 [] = {0xFF01,1563,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1564 [] = {0xFF01,1563,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1564 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1564 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1564 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1564 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1564 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1564 [] = {1563,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1564 [] = {0xFF01,1563,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1564 [] = {0xFF01,1560,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1564 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1564 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1564 [] = {0xFF01,601,0xFFFF};


static const struct desc_info desc_1564[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1564), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1564), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1564), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1564), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1564), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1564), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1564), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1564), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1564), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1564), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1564), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1564), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1564), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1564), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8598, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8599, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8600, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8601, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8602, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1564), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1564), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9009, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9010, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9011, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1564), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9075, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_1564), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
};
void Init1564(void)
{
	IDSC(desc_1564, 0, 1563);
	IDSC(desc_1564 + 1, 1, 1563);
	IDSC(desc_1564 + 32, 1134, 1563);
	IDSC(desc_1564 + 41, 1135, 1563);
	IDSC(desc_1564 + 50, 1060, 1563);
	IDSC(desc_1564 + 56, 254, 1563);
	IDSC(desc_1564 + 59, 778, 1563);
}


#ifdef __cplusplus
}
#endif
